## UserProfile

Interface that contains data in a user's profile.

View Source src/hooks/useProfile.ts, line 66

# Members

Type: string

#### # email Optional

The user's email

View Source src/hooks/useProfile.ts, line 82

Type: string

#### # id Optional

The user's id

View Source src/hooks/useProfile.ts, line 70

Type: string

#### # picture Optional

The user's base64 encoded profile picture.

View Source src/hooks/useProfile.ts, line 88

Type: string

#### # username Optional

The user's username

View Source src/hooks/useProfile.ts, line 76